<template>
    <input
        :type="type"
        v-model="date"
        @blur="onChange"
        @change="onChange"
        @focus="onFocus" />
</template>

<script setup>
import { ref } from 'vue'

const date = ref('')
const type = ref('text')

const onChange = function() {
    type.value = ( !date.value ) ? 'text' : 'date'
}

const onFocus = function() {
    type.value = 'date'
}

</script>